commit b86485eeb5ef6667a409c699ce8a1f26302ef2ed
Author: Stephen Smoogen <smooge@redhat.com>
Date:   Tue Oct 30 17:49:31 2012 +0000

    Make ibibilio sync more like the others.

diff --git a/manifests/nodes/download-ib01.fedoraproject.org.pp b/manifests/nodes/download-ib01.fedoraproject.org.pp
index 46ae503..caec453 100644
--- a/manifests/nodes/download-ib01.fedoraproject.org.pp
+++ b/manifests/nodes/download-ib01.fedoraproject.org.pp
@@ -15,13 +15,12 @@ node "download-ib01.fedoraproject.org" {
   }
 
   httpd::website { "download-ib01.fedoraproject.org":
-      ips            => [ "*" ],
-      server_aliases => [
-          "alt.fedoraproject.org",
-          "archive.fedoraproject.org",
-          "archives.fedoraproject.org",
-      ],
-      ssl            => false,
+    ips            => [ "*" ],
+    server_aliases => [
+                       ],
+    ssl            => true,
+    cert_name      => "wildcard.fedoraproject.org",
+    sSLCertificateChainFile => "wildcard.fedoraproject.org.intermediate.cert",
   }
 
   fedora-secondary::proxy { "download-ib01.fedoraproject.org/pub":
diff --git a/manifests/services/mirrorsize.pp b/manifests/services/mirrorsize.pp
index 5ab03b4..4f35b96 100644
--- a/manifests/services/mirrorsize.pp
+++ b/manifests/services/mirrorsize.pp
@@ -10,8 +10,8 @@ class mirrorsize {
 
 class mirrorsize-secondary { 
     cron { update-mirrorsize:
-        command => "/usr/bin/find /srv/pub/alt/ /srv/pub/archive/ /srv/pub/fedora-secondary/ -type d | grep -v snapshot | /usr/bin/xargs -n 1 /usr/bin/du --exclude=.snapshot -sh > /tmp/DIRECTORY_SIZES.txt; cp /tmp/DIRECTORY_SIZES.txt /srv/pub/",
-        user => "root",
+        command => "/usr/bin/find /srv/pub/alt/ /srv/pub/archive/ /srv/pub/fedora-secondary/ /srv/pub/fedora/ /srv/pub/epel/ -type d ! -path '/srv/pub/fedora/.snapshot*' ! -path '/srv/pub/epel/.snapshot*' ! -path '/srv/pub/alt/.snapshot*' ! -path '/srv/pub/archive/.snapshot*' ! -path '/srv/pub/fedora-secondary/.snapshot*' | grep -v snapshot | /usr/bin/xargs -n 1 /usr/bin/du --exclude=.snapshot -sh > /tmp/DIRECTORY_SIZES.txt; cp /tmp/DIRECTORY_SIZES.txt /srv/pub/",
+        user => "ftpsync",
         minute => 30,
         hour => 19,
         weekday => 0,
diff --git a/modules/nagios/files/nagios/hosts/download-rdu01.cfg b/modules/nagios/files/nagios/hosts/download-rdu01.cfg
index 2299fd7..d930417 100644
--- a/modules/nagios/files/nagios/hosts/download-rdu01.cfg
+++ b/modules/nagios/files/nagios/hosts/download-rdu01.cfg
@@ -1,7 +1,7 @@
-define host {
-  host_name                    download-rdu01
-  alias                        download-rdu01.vpn.fedoraproject.org
-  use                          defaulttemplate
-  address                      download-rdu01.vpn.fedoraproject.org
-  parents                      bastion-vpn
-}
+# define host {
+#   host_name                    download-rdu01
+#   alias                        download-rdu01.vpn.fedoraproject.org
+#   use                          defaulttemplate
+#   address                      download-rdu01.vpn.fedoraproject.org
+#   parents                      bastion-vpn
+# }
diff --git a/modules/nagios/files/nagios/hosts/download-rdu02.cfg b/modules/nagios/files/nagios/hosts/download-rdu02.cfg
index 3640634..9e34528 100644
--- a/modules/nagios/files/nagios/hosts/download-rdu02.cfg
+++ b/modules/nagios/files/nagios/hosts/download-rdu02.cfg
@@ -1,7 +1,7 @@
-define host {
-  host_name                    download-rdu02
-  alias                        download-rdu02.vpn.fedoraproject.org
-  use                          defaulttemplate
-  address                      download-rdu02.vpn.fedoraproject.org
-  parents                      bastion-vpn
-}
+# define host {
+#   host_name                    download-rdu02
+#   alias                        download-rdu02.vpn.fedoraproject.org
+#   use                          defaulttemplate
+#   address                      download-rdu02.vpn.fedoraproject.org
+#   parents                      bastion-vpn
+# }
diff --git a/modules/nagios/files/nagios/hosts/download-rdu03.cfg b/modules/nagios/files/nagios/hosts/download-rdu03.cfg
index b6799cc..0216045 100644
--- a/modules/nagios/files/nagios/hosts/download-rdu03.cfg
+++ b/modules/nagios/files/nagios/hosts/download-rdu03.cfg
@@ -1,7 +1,7 @@
-define host {
-  host_name                    download-rdu03
-  alias                        download-rdu03.vpn.fedoraproject.org
-  use                          defaulttemplate
-  address                      download-rdu03.vpn.fedoraproject.org
-  parents                      bastion-vpn
-}
+# define host {
+#   host_name                    download-rdu03
+#   alias                        download-rdu03.vpn.fedoraproject.org
+#   use                          defaulttemplate
+#   address                      download-rdu03.vpn.fedoraproject.org
+#   parents                      bastion-vpn
+# }
diff --git a/modules/rsync/files/rsyncd.conf.download-ib b/modules/rsync/files/rsyncd.conf.download-ib
new file mode 100644
index 0000000..f9db2f2
--- /dev/null
+++ b/modules/rsync/files/rsyncd.conf.download-ib
@@ -0,0 +1,93 @@
+#download-rdu
+pid file = /var/run/rsyncd.pid
+syslog facility = daemon
+max connections = 15
+timeout = 600
+use chroot = yes
+uid = nobody
+gid = nobody
+#transfer logging = false
+motd file = /etc/motd_fedora
+log file = /var/log/rsyncd-fedora.log
+
+dont compress = *.gz *.tgz *.zip *.z *.rpm *.deb *.bz2 *.iso *.ogg *.ogv *.tbz
+exclude = .snapshot/ .~tmp~/ /.private/ /.private/** **/.nfs*
+ignore nonreadable = yes
+list = true
+read only = yes
+refuse options = checksum
+
+[ fedora-alt ]
+        comment = non-Fedora Alternative Content
+        path = /srv/pub/alt
+
+# [fedora-archive]
+#         comment = Fedora Release Archives
+#         path = /srv/pub/archive
+     
+[ fedora-enchilada ]
+        comment = Fedora - The whole enchilada
+        path = /srv/pub/fedora
+
+[ fedora-epel ]
+        comment = Extra Packages for Enterprise Linux
+        path = /srv/pub/epel
+
+[ fedora-linux-releases ]
+        comment = Fedora Linux Releases
+        path = /srv/pub/fedora/linux/releases
+
+[ fedora-linux-development ]
+        comment = Fedora Linux Development
+        path = /srv/pub/fedora/linux/development
+
+[ fedora-linux-updates ]
+        comment = Fedora Linux Updates
+        path = /srv/pub/fedora/linux/updates
+
+# [fedora-secondary]
+#         comment = Fedora Secondary Archs
+#         path = /srv/pub/fedora-secondary
+
+[ fedora-stage ]
+        comment = Staging directory
+	path = /srv/pub/alt/stage/
+
+##
+## The following are not seen and are limited by IP.
+##
+## All entries should be hostnames that resolve to the reverse dns not ips
+
+[fedora-enchilada0]
+       comment = Fedora Enchilada for Tier0|1 Mirrors
+       path = /srv/pub/fedora/
+       list = no
+       uid = 263
+       gid = 263
+       hosts allow = jobbot1.ibiblio.org 200.17.202.1/28 zeus1.kernel.org zeus2.kernel.org zeus3.kernel.org zeus4.kernel.org 149.20.20.132 204.152.191.36 199.6.1.170 130.239.17.3 sinclair.wpi.edu bonaparte.hrz.tu-chemnitz.de josephine.hrz.tu-che mirror.speedpartner.de rsyncer.ftp.heanet.ie archive.linux.duke.edu lists.us.dell.com auslistsprd01.us.dell.com auslistsdr01.us.dell.com 65.18.175.19 198.129.224.34 mirror.hiwaay.net sagres.c3sl.ufpr.br mail.fedoraunity.org scrye.com odysseus.fi.muni.cz odysseus.linux.cz rhlx01.hs-esslingen.de ftp.nrc.ca zaphod.gtlib.gatech.edu 128.171.104.148 129.21.171.98 torrent01.fedoraproject.org torrent02.fedoraproject.org sunsite.mff.cuni.cz sunsite.ms.mff.cuni.cz ultra.linux.cz ftp.cz.kernel.org 202.158.214.12 129.101.198.59 speculum.rbc.ru 71.19.151.18
+
+[fedora-epel0]
+       comment = Fedora EPEL for Tier0|1 Mirrors
+       path = /srv/pub/epel/
+       list = no
+       uid = 263
+       gid = 263
+       hosts allow = jobbot1.ibiblio.org 200.17.202.1/28 zeus1.kernel.org zeus2.kernel.org zeus3.kernel.org zeus4.kernel.org 149.20.20.132 204.152.191.36 199.6.1.170 130.239.17.3 sinclair.wpi.edu bonaparte.hrz.tu-chemnitz.de josephine.hrz.tu-chemnitz.de mirror.speedpartner.de rsyncer.ftp.heanet.ie archive.linux.duke.edu lists.us.dell.com auslistsprd01.us.dell.com auslistsdr01.us.dell.com 65.18.175.19 198.129.224.34 mirror.hiwaay.net sagres.c3sl.ufpr.br mail.fedoraunity.org scrye.com odysseus.fi.muni.cz odysseus.linux.cz rhlx01.hs-esslingen.de ftp.nrc.ca zaphod.gtlib.gatech.edu 128.171.104.148 129.21.171.98 sunsite.mff.cuni.cz sunsite.ms.mff.cuni.cz ultra.linux.cz ftp.cz.kernel.org 202.158.214.12 129.101.198.59 speculum.rbc.ru 71.19.151.18
+
+[fedora-alt0]
+       comment = Fedora ALT for Tier0|1 Mirrors
+       path = /srv/pub/alt/
+       list = no 
+       uid = 100103
+       gid = 101737
+       hosts allow = jobbot1.ibiblio.org 200.17.202.1/28 zeus1.kernel.org zeus2.kernel.org zeus3.kernel.org zeus4.kernel.org 149.20.20.132 204.152.191.36 199.6.1.170 130.239.17.3 sinclair.wpi.edu bonaparte.hrz.tu-chemnitz.de josephine.hrz.tu-chemnitz.de mirror.speedpartner.de rsyncer.ftp.heanet.ie archive.linux.duke.edu lists.us.dell.com auslistsprd01.us.dell.com auslistsdr01.us.dell.com 65.18.175.19 198.129.224.34 mirror.hiwaay.net sagres.c3sl.ufpr.br mail.fedoraunity.org scrye.com odysseus.fi.muni.cz odysseus.linux.cz rhlx01.hs-esslingen.de ftp.nrc.ca zaphod.gtlib.gatech.edu 128.171.104.148 129.21.171.98 sunsite.mff.cuni.cz sunsite.ms.mff.cuni.cz ultra.linux.cz ftp.cz.kernel.org 202.158.214.12 speculum.rbc.ru 71.19.151.18
+
+# For distributing applications
+[log]
+       comment = Server Logs
+       path = /var/log
+       uid = root
+       gid = root
+       read only = yes
+       hosts allow = 10.5.126.29 192.168.1.56
+       list = no
